CVE-2013-2494

NameCVE-2013-2494
Descriptionlibdns in ISC DHCP 4.2.x before 4.2.5-P1 allows remote name servers to cause a denial of service (memory consumption) via vectors involving a regular expression, as demonstrated by a memory-exhaustion attack against a machine running a dhcpd process, a related issue to CVE-2013-2266.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs704426

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
isc-dhcp (PTS)stretch4.3.5-3+deb9u1fixed
stretch (security)4.3.5-3+deb9u2fixed
buster4.4.1-2+deb10u1fixed
bullseye4.4.1-2.3fixed
bookworm4.4.2-P1-1fixed
sid4.4.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
isc-dhcpsourcesqueeze(not affected)
isc-dhcpsourcewheezy4.2.2.dfsg.1-5+deb70u6
isc-dhcpsource(unstable)4.2.4-6low704426

Notes

[squeeze] - isc-dhcp <not-affected> (Only affects 4.2.x)

Search for package or bug name: Reporting problems